<?php
/**
 * This file is part of MAX CssMin.
 * 
 * MAX CssMin
 * A CSS minifier written in PHP.
 * 
 * Copyright (C) 2010 Maxime Garcia.
 * All rights reserved.
 * 
 * MAX CssMin is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * MAX CssMin is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with MAX CssMin.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @package MaxCssMin
 * @version 0.1
 * @copyright 2010 Maxime Garcia
 * @author Maxime Garcia
 * @link http://libre.maxbusiness.fr/cssmin/ MAX CssMin
 * @link http://libre.maxbusiness.fr/ Projets Libres par MAX Business
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL 3
 */


require '../MAX_CssMin.class.php';

$sFile = 'style.css';

$sCss = file_get_contents($sFile);

$iSizeBegin = strlen($sCss);


$sCss = MAX_CssMin::run($sCss);


$iSizeEnd = strlen($sCss);
echo 'Taille départ : '.round($iSizeBegin / 1024, 1).' Ko'."\n";
echo 'Taille arrivé : '.round($iSizeEnd / 1024, 1).' Ko'."\n";
echo 'Compression : '.round($iSizeEnd / $iSizeBegin * 100, 1).'%'."\n";


$hFile = fopen(str_replace('.css', '-min.css', $sFile), 'w');
fwrite($hFile, $sCss);
fclose($hFile);
?>
